import request from "@/utils/request";

/** 后台查询合集列表 */
export function getSerialList(data) {
  return request({
    url: "/admin/serial/info/list",
    method: "post",
    data
  });
}

export function saveSerial(data) {
  return request({
    url: "/admin/serial/info/save",
    method: "post",
    data
  });
}

export function updateSerial(data) {
  return request({
    url: "/admin/serial/info/update",
    method: "post",
    data
  });
}

export function updateSerialStatus(data) {
  return request({
    url: "/admin/serial/info/updateStatus",
    method: "post",
    data
  });
}

export function getSerialContentList(data) {
  return request({
    url: "/admin/serial/content/list",
    method: "post",
    data
  });
}
export function saveSerialContent(data) {
  return request({
    url: "/admin/serial/content/update",
    method: "post",
    data
  });
}

export function getSerialContent(data) {
  return request({
    url: "/admin/serial/info/get",
    method: "post",
    data
  });
}
